Manage Tenant Preferences
Get Tenant Default Preference
API to get default tenant preference for all categories.
GET
/
v1
/
tenant
/
{tenant_id}
/
category
/
Get Tenant Default Preference
curl --request GET \
--url https://hub.suprsend.com/v1/tenant/{tenant_id}/category/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://hub.suprsend.com/v1/tenant/{tenant_id}/category/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hub.suprsend.com/v1/tenant/{tenant_id}/category/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"count": 12,
"limit": 10,
"offset": 0
},
"results": [
{
"name": "Status Update Alert",
"category": "status-update-alert",
"description": "Send me updates when account status changes",
"root_category": "transactional",
"default_preference": "opt_in",
"default_mandatory_channels": null,
"default_opt_in_channels": null,
"visible_to_subscriber": true,
"preference": "opt_in",
"mandatory_channels": null,
"opt_in_channels": null,
"blocked_channels": null
}
]
}{
"code": 404,
"message": "tenant 'brand/tenant_id' not found"
}Authorizations
Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.
Path Parameters
unique identifier of the tenant you want to get default preferences for
Query Parameters
Locale code (e.g., es, fr, de, ja, es-AR) to fetch preference translations in user's locale. When provided, the API looks for category and section names and descriptions in the respective locale file.
If a translation is missing for the requested locale, the system automatically falls back in this order: locale-region (e.g., es-AR) → locale (e.g., es) → en (English - always available).
Was this page helpful?
⌘I
Get Tenant Default Preference
